#ifndef DBAUDIOFILE_HPP
#define DBAUDIOFILE_HPP

#include "simplefile.hpp"

class Dbaudiofile : public Simplefile
{
public:
  std::string artist;
  std::string album;
  std::string title;
  int year;
  int bitrate;
  int length;
  int rating;
  int track;
  bool fetched;

  // sets the dbaudiofiles values to that of the simplefile
  void set(const Simplefile& s);

  Dbaudiofile();
  Dbaudiofile(const Simplefile& s);
};

#endif
